> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event

> Retrieves the details of a single event.



## OpenAPI

````yaml /openapi/openapi_event.json get /event/pull/{eventId}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_EVENT">
                <h2>EVENTS</h2>
                <p>The Event APIs are used to subscribe to notifications when create, read, update, or delete operations are
                    performed. If an application subscribes to the event, use the <strong>Events</strong> resource to query for
                    recent events published to your application or events that were not published successfully. See the <a href="/pages/event-subscription">Event Subscription documentation</a> for more information</p>
                <p>The <strong>Subscriptions</strong> resource triggers a push service to sent immediate notifications to the subscribed
                    tenants
                    and applications. The resource sends messages regarding a subscription event that occurs in the tenant
                    or site.</p>
            </div>
  title: Event Subscription
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /event/pull/{eventId}:
    get:
      tags:
        - Event
      summary: Get Event
      description: Retrieves the details of a single event.
      parameters:
        - description: Unique identifier of the event. System-supplied and read-only.
          in: path
          name: eventId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventEvent'
            text/json:
              schema:
                $ref: '#/components/schemas/EventEvent'
            text/plain:
              schema:
                $ref: '#/components/schemas/EventEvent'
          description: OK
components:
  schemas:
    EventEvent:
      description: >-
        The external/public Event entity used specifically in PULL/POLL event
        scenarios
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        catalogId:
          description: CatalogId
          format: int32
          nullable: true
          type: integer
        correlationId:
          description: >-
            The Correlation Id of the original API request that caused this
            event to occur
          nullable: true
          type: string
        entityId:
          description: The identifier / ID of the entity that changed (i.e. product code)
          nullable: true
          type: string
        extendedProperties:
          description: >-
            Extended properties. Note: This is purposefully not a CollectionBase
            type wrapper so consumers start to get used to not having counts
            returned.
          items:
            $ref: '#/components/schemas/EventExtendedProperty'
          nullable: true
          type: array
        id:
          description: The unique identifier for an event
          nullable: true
          type: string
        isTest:
          description: Is this a test?
          nullable: true
          type: boolean
        masterCatalogId:
          description: MasterCatalogId
          format: int32
          nullable: true
          type: integer
        siteId:
          description: SiteId
          format: int32
          nullable: true
          type: integer
        tenantId:
          description: TenantId
          format: int32
          nullable: true
          type: integer
        topic:
          description: The topic of the event (i.e. product.created)
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    EventExtendedProperty:
      description: Event Extended Property
      properties:
        key:
          nullable: true
          type: string
        value:
          nullable: true
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````